VULKAN_HPP_NAMESPACE::ViewportWScalingNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ViewportWScalingNV (float xcoeff_=0, float ycoeff_=0)
| ViewportWScalingNV (VkViewportWScalingNV const &rhs)
ViewportWScalingNV & | operator= (VkViewportWScalingNV const &rhs)
ViewportWScalingNV & | setXcoeff (float xcoeff_)
ViewportWScalingNV & | setYcoeff (float ycoeff_)
| operator VkViewportWScalingNV const & () const
| operator VkViewportWScalingNV & ()
bool | operator== (ViewportWScalingNV const &rhs) const
bool | operator!= (ViewportWScalingNV const &rhs) const

## Data Fields

float | xcoeff
float | ycoeff

## Detailed Description

Definition at line 7571 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ViewportWScalingNV() [1/2]

VULKAN_HPP_NAMESPACE::ViewportWScalingNV::ViewportWScalingNV | ( | float | xcoeff_ = `0`,
|  | float | ycoeff_ = `0`
| ) |  |

inline

Definition at line 7573 of file vulkan.hpp.

: xcoeff( xcoeff_ )
, ycoeff( ycoeff_ )
{
}

## ViewportWScalingNV() [2/2]

VULKAN_HPP_NAMESPACE::ViewportWScalingNV::ViewportWScalingNV | ( | VkViewportWScalingNV const & | rhs | ) |

inline

Definition at line 7580 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ViewportWScalingNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkViewportWScalingNV &()

VULKAN_HPP_NAMESPACE::ViewportWScalingNV::operator VkViewportWScalingNV & | ( |  | ) |

inline

Definition at line 7607 of file vulkan.hpp.

{
return *reinterpret_cast<VkViewportWScalingNV*>(this);
}

## operator VkViewportWScalingNV const &()

VULKAN_HPP_NAMESPACE::ViewportWScalingNV::operator VkViewportWScalingNV const & | ( |  | ) | const

inline

Definition at line 7602 of file vulkan.hpp.

{
return *reinterpret_cast<const VkViewportWScalingNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ViewportWScalingNV::operator!= | ( | ViewportWScalingNV const & | rhs | ) | const

inline

Definition at line 7618 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ViewportWScalingNV& VULKAN_HPP_NAMESPACE::ViewportWScalingNV::operator= | ( | VkViewportWScalingNV const & | rhs | ) |

inline

Definition at line 7585 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ViewportWScalingNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ViewportWScalingNV::operator== | ( | ViewportWScalingNV const & | rhs | ) | const

inline

Definition at line 7612 of file vulkan.hpp.

{
return ( xcoeff == rhs.xcoeff )
&& ( ycoeff == rhs.ycoeff );
}

References xcoeff, and ycoeff.

Referenced by operator!=().

## setXcoeff()

ViewportWScalingNV& VULKAN_HPP_NAMESPACE::ViewportWScalingNV::setXcoeff | ( | float | xcoeff_ | ) |

inline

Definition at line 7590 of file vulkan.hpp.

{
xcoeff = xcoeff_;
return *this;
}

References xcoeff.

## setYcoeff()

ViewportWScalingNV& VULKAN_HPP_NAMESPACE::ViewportWScalingNV::setYcoeff | ( | float | ycoeff_ | ) |

inline

Definition at line 7596 of file vulkan.hpp.

{
ycoeff = ycoeff_;
return *this;
}

References ycoeff.

## Field Documentation

## xcoeff

float VULKAN_HPP_NAMESPACE::ViewportWScalingNV::xcoeff

Definition at line 7623 of file vulkan.hpp.

Referenced by operator==(), and setXcoeff().

## ycoeff

float VULKAN_HPP_NAMESPACE::ViewportWScalingNV::ycoeff

Definition at line 7624 of file vulkan.hpp.

Referenced by operator==(), and setYcoeff().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ViewportWScalingNV::ycoeff
float ycoeff
Definition: vulkan.hpp:7624
VULKAN_HPP_NAMESPACE::ViewportWScalingNV::ViewportWScalingNV
ViewportWScalingNV(float xcoeff_=0, float ycoeff_=0)
Definition: vulkan.hpp:7573
VkViewportWScalingNV
Definition: vulkan_core.h:6987
VULKAN_HPP_NAMESPACE::ViewportWScalingNV::xcoeff
float xcoeff
Definition: vulkan.hpp:7623
VULKAN_HPP_NAMESPACE::ViewportWScalingNV::operator==
bool operator==(ViewportWScalingNV const &rhs) const
Definition: vulkan.hpp:7612